Security
Update advanced security settings
Developer API operation for PATCH /dev/v1/security/security-settings.
PATCH
/
dev
/
v1
/
security
/
security-settings
Update advanced security settings
curl --request PATCH \
--url https://api.shoppex.io/dev/v1/security/security-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lockdown": "false",
"lockdown_type": "",
"lockdown_value": "",
"malicious_log_in_detection": "true",
"require_managers_2fa": "true"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lockdown: 'false',
lockdown_type: '',
lockdown_value: '',
malicious_log_in_detection: 'true',
require_managers_2fa: 'true'
})
};
fetch('https://api.shoppex.io/dev/v1/security/security-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/security/security-settings"
payload = {
"lockdown": "false",
"lockdown_type": "",
"lockdown_value": "",
"malicious_log_in_detection": "true",
"require_managers_2fa": "true"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/security/security-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'lockdown' => 'false',
'lockdown_type' => '',
'lockdown_value' => '',
'malicious_log_in_detection' => 'true',
'require_managers_2fa' => 'true'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/security/security-settings"
payload := strings.NewReader("{\n \"lockdown\": \"false\",\n \"lockdown_type\": \"\",\n \"lockdown_value\": \"\",\n \"malicious_log_in_detection\": \"true\",\n \"require_managers_2fa\": \"true\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"message": "Fraud Shield settings updated."
}
}Authorizations
Use your Shoppex API key in the Authorization header.
Body
application/jsonmultipart/form-datatext/plain
Response
200 - application/json
Successful response
Previous
Get session trailDeveloper API operation for GET /dev/v1/security/session-trail/{session_id}.
Next
⌘I
Update advanced security settings
